<?php
header("Content-type: text/css; charset: UTF-8");
$absolute_path = explode('wp-content', $_SERVER['SCRIPT_FILENAME']);
$wp_load = $absolute_path[0] . 'wp-load.php';
require_once($wp_load);
/**
Do stuff like connect to WP database and grab user set values
 */
header('Content-type: text/css');
header('Cache-control: must-revalidate');

global $smof_data;
?>

  /****************************************************************************/
 /******************************* FONTS Settings *****************************/
/****************************************************************************/
<?php
if ( $smof_data['text_uppercase'] == 1 ){?>
    h1, h2, h3, h4, h5, h6, .btn,
    #nav-boxes a span, #nav li a,
    .content-rotator div,
    section .intro-text,
    .member h4,.member .pos,
    #filters li a,
    #contact_us form input,#contact_us form p,
    #contact-bot .info li,
    footer{
        text-transform: uppercase;
    }
    a.fsoc{
        text-transform: none;
    }

<?php } ?>
.parallax .container{
    padding: 150px 0 75px;
}
.parallax {
    position: static !important;
}
#portfolio .container .intro-text {
    margin: 30px auto;
}
section.step-boxes > div {
    padding: 75px 0 !important;
}
section.step-boxes {
    padding: 0 !important;
}
section.post-service {
    padding: 0 !important;
}
.post-service .container {
    padding: 75px 0;
}
body {
    font-size: <?php if (!empty($smof_data['font_size_body'])) { echo $smof_data['font_size_body'];} ?>px;
}
h1 {
    font-size: <?php if (!empty($smof_data['font_size_h1'])) { echo $smof_data['font_size_h1'];} ?>px;
    line-height: <?php if (!empty($smof_data['font_size_h1'])) { echo $smof_data['font_size_h1'];} ?>px;
}
h2 {
    font-size: <?php if (!empty($smof_data['font_size_h2'])) { echo $smof_data['font_size_h2'];} ?>px;
    line-height: <?php if (!empty($smof_data['font_size_h2'])) { echo $smof_data['font_size_h2'];} ?>px;
}
h3 {
    font-size: <?php if (!empty($smof_data['font_size_h3'])) { echo $smof_data['font_size_h3'];} ?>px;
}
h4 {
    font-size: <?php if (!empty($smof_data['font_size_h4'])) { echo $smof_data['font_size_h4'];} ?>px;
    line-height: <?php if (!empty($smof_data['font_size_h4'])) { echo $smof_data['font_size_h4']+3;} ?>px;
}
h5 {
    font-size: <?php if (!empty($smof_data['font_size_h5'])) { echo $smof_data['font_size_h5'];} ?>px;
}
h6 {
    font-size: <?php if (!empty($smof_data['font_size_h6'])) { echo $smof_data['font_size_h6'];} ?>px;
}
<?php
if ( $smof_data['std_font'] == 1 ) {?>
body {
    font-family: <?php echo $smof_data['std_body_font']['face'];?>;
<?php if ($smof_data['std_body_font']['style'] == 'bold' || $smof_data['std_body_font']['style'] == 'normal') {
        echo 'font-weight: '. $smof_data['std_body_font']['style'] . ';';
    }
    if($smof_data['std_body_font']['style'] == 'italic'){
        echo 'font-style: '. $smof_data['std_body_font']['style'] . ';';
}?>
}
.sf-menu a,#nav li a {
    font-family: <?php echo $smof_data['std_menu_font']['face'];?>;
<?php if ($smof_data['std_menu_font']['style'] == 'bold' || $smof_data['std_menu_font']['style'] == 'normal') {
        echo 'font-weight: '. $smof_data['std_menu_font']['style'] . ';';
    }
    if($smof_data['std_menu_font']['style'] == 'italic'){
        echo 'font-style: '. $smof_data['std_menu_font']['style'] . ';';
}?>
}
h1, h2, h3, h4, h5, h6 {
    font-family: <?php echo $smof_data['std_h1_font']['face'];?>;
    <?php if ($smof_data['std_h1_font']['style'] == 'bold' || $smof_data['std_h1_font']['style'] == 'normal') {
        echo 'font-weight: '. $smof_data['std_h1_font']['style'] . ';';
    }
    if($smof_data['std_h1_font']['style'] == 'italic'){
        echo 'font-style: '. $smof_data['std_h1_font']['style'] . ';';
    }
}

if (!empty($smof_data['google_font'])) {
        if ($smof_data['google_font'] == 1  && $smof_data['std_font'] == 0) {
            if ( !empty($smof_data['google_body_font']) && $smof_data['google_body_font'] != 'none' ) {echo '
                body, input, button, select, textarea, p, .post-box {
                    font-family: "'.$smof_data['google_body_font'].'", Arial, serif;
                    font-weight: '.$smof_data['google_body_font_w'].';
                    font-style: '.$smof_data['google_body_font_s'].';
                }';
            }
            if ( !empty($smof_data['google_menu_font']) && $smof_data['google_menu_font'] != 'none' ) {echo '
                #nav-boxes a span,#nav li a {
                    font-family: "'.$smof_data['google_menu_font'].'", Arial, serif;
                    font-weight: '.$smof_data['google_menu_font_w'].';
                    font-style: '.$smof_data['google_menu_font_s'].';
                }';
            }
            if ( !empty($smof_data['google_h1_font']) && $smof_data['google_h1_font'] != 'none' ) {echo '
                h1 {
                    font-family: "'.$smof_data['google_h1_font'].'", Arial, serif;
                    font-weight: '.$smof_data['google_h1_font_w'].';
                    font-style: '.$smof_data['google_h1_font_s'].';
                }';
            }
            if ( !empty($smof_data['google_h2_font']) && $smof_data['google_h2_font'] != 'none' ) {echo '
                h2 {
                    font-family: "'.$smof_data['google_h2_font'].'", Arial, serif;
                    font-weight: '.$smof_data['google_h2_font_w'].';
                    font-style: '.$smof_data['google_h2_font_s'].';
                }';
            }
            if ( !empty($smof_data['google_h3_font']) && $smof_data['google_h3_font'] != 'none' ) {echo '
                h3 {
                    font-family: "'.$smof_data['google_h3_font'].'", Arial, serif;
                    font-weight: '.$smof_data['google_h3_font_w'].';
                    font-style: '.$smof_data['google_h3_font_s'].';
                }';
            }
            if ( !empty($smof_data['google_h4_font']) && $smof_data['google_h4_font'] != 'none' ) {echo '
                h4 {
                    font-family: "'.$smof_data['google_h4_font'].'", Arial, serif;
                    font-weight: '.$smof_data['google_h4_font_w'].';
                    font-style: '.$smof_data['google_h4_font_s'].';
                }';
            }
            if ( !empty($smof_data['google_h5_font']) && $smof_data['google_h5_font'] != 'none' ) {echo '
                h5 {
                    font-family: "'.$smof_data['google_h5_font'].'", Arial, serif;
                    font-weight: '.$smof_data['google_h5_font_w'].';
                    font-style: '.$smof_data['google_h5_font_s'].';
                }';
            }
            if ( !empty($smof_data['google_h6_font']) && $smof_data['google_h6_font'] != 'none') {echo '
                h6 {
                    font-family: "'.$smof_data['google_h6_font'].'", Arial, serif;
                    font-weight: '.$smof_data['google_h6_font_w'].';
                    font-style: '.$smof_data['google_h6_font_s'].';
                }';
            }
        }
    }
?>

@media (max-width:480px) {
    h1, h2, h3, h4, h5, h6{
        font-size:100%;
    }
}

/*****Home Section *****/
<?php
$square = 'border-radius: 0;-moz-border-radius: 0;-webkit-border-radius: 0;';
    if ( $smof_data['round_square'] == 0 ){
    echo'
        #nav-boxes a .fs1,
        .part_logo > div,
        .member img,
        .testimonial img,
        #filters li a,
        .lp, .mix, .mix .zoom, .mix:hover,
        .circ,#trigger_portfolio,
        .tooltip-inner,.post_nav .nav-links a span
        {
            '.$square.'
        }
    ';
    }
$border_0 = 'border-width:0 !important;box-shadow:none !important;';
if ( $smof_data['icons_border'] == 0 ){
    echo'
        #nav-boxes a .fs1,
        #nav-boxes a:hover .fs1,
        .part_logo > div
        {
            '.$border_0.'
        }
    ';
}
?>
<?php
    function sectionBG($section,$color,$image,$opacity){
        if( $image || !empty($image) && $opacity != 100 ):
        echo $section.'{
                background-image: url(' .$image. ');
            }';
        endif;
        if ( $color ) :
            $rgba = gg_HEXvRGB($color);
            $opacity = $opacity/100;
        echo $section.':not(#portfolio) > div{
            background: rgba('.$rgba[0].','.$rgba[1].','.$rgba[2].','.$opacity .');
            width: 100%;
        }
        '.$section.':not(#portfolio) > .container > * {
            width: 90%;
            margin: 0 auto;
        }
        ';
        endif;
    }
?>
#nav-boxes a .fs1,
.part_logo > div{
    font-size: <?php echo $smof_data['icons_font_size'];?>px;
    width: <?php echo $smof_data['icons_font_size'];?>px;
    height: <?php echo $smof_data['icons_font_size'];?>px;
    line-height: <?php echo $smof_data['icons_font_size'];?>px;
}
  /****************************************************************************/
 /******************************* #HEADER Section ****************************/
/****************************************************************************/
<?php
    // Logo Margin
    $mt = $smof_data['logo_pad_t'].'px';
    $mr = '0';
    $mb = $smof_data['logo_pad_b'].'px';
    $ml = $smof_data['logo_pad_l'].'px';
?>

<?php sectionBG('#home',$smof_data['header_bg_col'],$smof_data['header_intro_img'],$smof_data['header_bg_opacity']); ?>

.main-logo{
    text-align: <?php echo $smof_data['logo_align'];?>;
    margin: <?php echo $mt.' '.$mr.' '.$mb.' '.$ml?>;
}
#nav-boxes a{
    color: <?php echo $smof_data['h_m_links'] ?>;
}
#nav-boxes a:hover{
    color: <?php echo $smof_data['h_m_links_hover'] ?>;
}
<?php $rgba = gg_HEXvRGB($smof_data['h_m_back']);
    $border = gg_HEXvRGB($smof_data['h_m_back_border']);?>
#nav-boxes a .fs1{
    border-color: rgba(<?php echo $border[0].','.$border[1].','.$border[2].','.$smof_data['h_m_back_border_opacity']/100 ?>);
    background: rgba(<?php echo $rgba[0].','.$rgba[1].','.$rgba[2].','.$smof_data['h_m_back_opacity']/100 ;?>);
}
<?php $rgba = gg_HEXvRGB($smof_data['h_m_back_hover']);
    $shadow = gg_HEXvRGB($smof_data['h_m_back_hover_shadow']);?>
#nav-boxes a:hover .fs1{
    background: rgba(<?php echo $rgba[0].','.$rgba[1].','.$rgba[2].','.$smof_data['h_m_back_hover_opacity'] ;?>);
    box-shadow: rgba(<?php echo $shadow[0].','.$shadow[1].','.$shadow[2].','.$smof_data['h_m_back_hover_shadow_opacity']/100;?>) 0 0 20px;
}

<?php $rgba = gg_HEXvRGB($smof_data['header_slider_color']);?>
.content-rotator{
    font-size: <?php echo $smof_data['header_slider_font'];?>px;
    color: rgba(<?php echo $rgba[0].','.$rgba[1].','.$rgba[2].','.$smof_data['header_slider_opacity']/100;?>);
}
<?php $rgba = gg_HEXvRGB($smof_data['stickybox_bg']);?>
.stickybox{
    background: rgba(<?php echo $rgba[0].','.$rgba[1].','.$rgba[2].','.$smof_data['stickybox_bg_opacity']/100;?>);
}

<?php $rgba = gg_HEXvRGB($smof_data['stickybox_item_bg']);?>
#nav li a{
    background: rgba(<?php echo $rgba[0].','.$rgba[1].','.$rgba[2].','.$smof_data['stickybox_item_bg_opacity']/100;?>);
    color: <?php echo $smof_data['stickybox_col'] ?>;
}
<?php
$rgba = gg_HEXvRGB($smof_data['stickybox_item_bg_hover']);
$opacity = $smof_data['stickybox_item_bg_opacity_hover']/100;
?>

#nav li a:hover,
#nav.rounded li a:hover .fs2,
#nav li a:active .fs2,
#nav li a.active .fs2m,
#nav li a.clicked{
    background: rgba(<?php echo $rgba[0].','.$rgba[1].','.$rgba[2].','.$opacity;?>);
    color: <?php echo $smof_data['stickybox_col_hover'] ?>;
}


<?php
if ( $smof_data['stickybox_round_square'] == 1 ) {?>
#nav.rounded li a{
    background: transparent !important;
}
<?php $rgba = gg_HEXvRGB($smof_data['stickybox_item_bg']);?>
#nav.rounded li .fs2{
    height: 60%;
    width: 60%;
    text-align: center;
    background: rgba(<?php echo $rgba[0].','.$rgba[1].','.$rgba[2].','.$smof_data['stickybox_item_bg_opacity']/100;?>);
    border-radius: 50%;
    margin: 0 auto;
    line-height: 2em;
    vertical-align: middle;
}
<?php $rgba = gg_HEXvRGB($smof_data['stickybox_item_bg_hover']);?>
#nav.rounded li a:hover .fs2,
#nav.rounded li a.clicked .fs2{
    background: rgba(<?php echo $rgba[0].','.$rgba[1].','.$rgba[2].','.$smof_data['stickybox_item_bg_opacity_hover']/100;?>);
}
<?php }
?>

  /****************************************************************************/
 /***************************** #About Us Section ****************************/
/****************************************************************************/
<?php sectionBG('#about_us',$smof_data['about_bg_col'],$smof_data['about_intro_img'],$smof_data['about_bg_opacity']); ?>

<?php $rgba_h1 = gg_HEXvRGB($smof_data['about_intro_h1_col']);
    $rgba_text = gg_HEXvRGB($smof_data['about_intro_text_col']);?>

#about_us h1 {
     color: rgba(<?php echo $rgba_h1[0].','.$rgba_h1[1].','.$rgba_h1[2].','.$smof_data['about_intro_h1_opacity']/100;?>);
}
#about_us .intro-text {
    color: rgba(<?php echo $rgba_text[0].','.$rgba_text[1].','.$rgba_text[2].','.$smof_data['about_intro_text_opacity']/100;?>);
}
<?php $rgba_icon        = gg_HEXvRGB($smof_data['about_icon_back']);
  $rgba_icon_col        = gg_HEXvRGB($smof_data['about_icon_col']);
$rgba_icon_border_col   = gg_HEXvRGB($smof_data['about_icon_bord_col']);?>
#about_us .part_logo > div{
    background: rgba(<?php echo $rgba_icon[0].','.$rgba_icon[1].','.$rgba_icon[2].','.$smof_data['about_icon_back_opacity']/100;?>);
    color: rgba(<?php echo $rgba_icon_col[0].','.$rgba_icon_col[1].','.$rgba_icon_col[2].','.$smof_data['about_icon_col_opacity']/100;?>);
    border: rgba(<?php echo
        $rgba_icon_border_col[0].','.
        $rgba_icon_border_col[1].','.
        $rgba_icon_border_col[2].','.
        $smof_data['about_icon_bord_col_opacity']/100;?>) solid <?php echo $smof_data['about_icon_bord_width']?>px;
    box-shadow: <?php echo $smof_data['about_icon_bord_col'].' '.'0'.' '.'0'.' '.$smof_data['about_icon_bord_width'].'px'.' '.$smof_data['about_icon_bord_width'].'px'?>;
}
/******** ABOUT US SECTION excerpt *******/
<?php if($smof_data['about_excerpt_color']) : ?>
#about_us .excerpt div{
    color: <?php echo $smof_data['about_excerpt_color']; ?>;
}<?php endif;

    if($smof_data['about_excerpt_title_color']) : ?>
    #about_us .excerpt .container h1,
    #about_us .excerpt .container h2,
    #about_us .excerpt .container h3,
    #about_us .excerpt .container h4,
    #about_us .excerpt .container h5,
    #about_us .excerpt .container h6{
        color: <?php echo $smof_data['about_excerpt_title_color']; ?>;
    }<?php endif;

    if($smof_data['about_excerpt_link_color']) : ?>
    #about_us .excerpt .container a{
        color: <?php echo $smof_data['about_excerpt_link_color']; ?>;
    }<?php endif;
        if($smof_data['about_excerpt_link_color']) : ?>
        #about_us .excerpt .container a:hover{
            color: <?php echo $smof_data['about_excerpt_link_color_hover']; ?>;
        }<?php endif;

?>
  /****************************************************************************/
 /******************************** Team Members ******************************/
/****************************************************************************/
<?php if($smof_data['about_member_col']) : ?>
.member h4{
    color: <?php echo $smof_data['about_member_col'];?>;
}<?php endif;//.member (color)

    if($smof_data['about_member_col_hover']) : ?>
    .member:hover h4{
        color: <?php echo $smof_data['about_member_col_hover'];?>;
    }<?php endif;//.member:hover (color)
// Member Name __END

if($smof_data['about_member_pos_col']) : ?>
.member .pos{
    color: <?php echo $smof_data['about_member_pos_col'];?>;
}<?php endif;//.member position (color)
    if($smof_data['about_member_col_hover']) : ?>
    .member:hover .pos{
        color: <?php echo $smof_data['about_member_pos_col_hover'];?>;
    }<?php endif;//.member:hover position (color)
// Member Position __END

if($smof_data['about_member_soc_col']) : ?>
    .member .social a{
        color: <?php echo $smof_data['about_member_soc_col'];?>;
    }<?php endif;//.member position (color)
    if($smof_data['about_member_col_hover']) : ?>
    .member .social a:hover{
        color: <?php echo $smof_data['about_member_soc_col_hover'];?>;
    }<?php endif;//.member:hover position (color)
// Member Social __END

 if($smof_data['about_memb_bord_col']):?>
.member:hover img{
    border-color: <?php echo $smof_data['about_memb_bord_col'];?>;
}<?php endif;//.member:hover img (border-color)?>

  /****************************************************************************/
 /******************************** Testimonials ******************************/
/****************************************************************************/
<?php sectionBG('#testimonial',$smof_data['testimonial_bg_col'],'',$smof_data['testimonial_bg_opacity']); ?>
#testimonial h1{
    color: <?php echo $smof_data['testimonial_intro_h1_col'];?>;
}
#testimonial .intro-text{
    color: <?php echo $smof_data['testimonial_intro_text_col'];?>;
}
#testimonial .container {
    padding: 75px 0;
}
#testimonial {
    padding: 0;
}
<?php
if($smof_data['testimonial_slideArrow_col']): ?>
#prev [class^="icon-"] ,
#prev [class*=" icon-"] ,
#next [class^="icon-"] ,
#next [class*=" icon-"] {
    color: <?php echo $smof_data['testimonial_slideArrow_col'];?>;
}
<?php endif;
if($smof_data['testimonial_name_col']): ?>
.testimonial .name{
   color: <?php echo $smof_data['testimonial_name_col'];?>;
}<?php endif;//.testimonial .name (color)

    if($smof_data['testimonial_comp_col']): ?>
    .testimonial .name > span{
        color: <?php echo $smof_data['testimonial_comp_col'];?>;
    }<?php endif;//.testimonial .name > span (Company color)

    if($smof_data['testimonial_comm_col']): ?>
    .testimonial .span9 p{
        color: <?php echo $smof_data['testimonial_comm_col'];?>;
    }<?php endif;//.testimonial .span9 p (Comment color)?>

/******** Testimonials SECTION excerpt *******/
<?php if($smof_data['testimonial_excerpt_color']) : ?>
#testimonial .excerpt div{
    color: <?php echo $smof_data['testimonial_excerpt_color']; ?>;
}<?php endif;

    if($smof_data['testimonial_excerpt_title_color']) : ?>
#testimonial .excerpt .container h1,
#testimonial .excerpt .container h2,
#testimonial .excerpt .container h3,
#testimonial .excerpt .container h4,
#testimonial .excerpt .container h5,
#testimonial .excerpt .container h6{
    color: <?php echo $smof_data['testimonial_excerpt_title_color']; ?>;
}<?php endif;

    if($smof_data['testimonial_excerpt_link_color']) : ?>
#testimonial .excerpt .container a{
    color: <?php echo $smof_data['testimonial_excerpt_link_color']; ?>;
}<?php endif;
        if($smof_data['testimonial_excerpt_link_color']) : ?>
#testimonial .excerpt .container a:hover{
    color: <?php echo $smof_data['testimonial_excerpt_link_color_hover']; ?>;
}<?php endif;

?>
  /****************************************************************************/
 /****************************** PORTFOLIO Section ***************************/
/****************************************************************************/
<?php sectionBG('#portfolio',$smof_data['port_bg_col'],$smof_data['port_intro_img'],$smof_data['port_bg_opacity']); ?>
<?php
if( $smof_data['port_intro_h1_col'] ) :
    $rgba = gg_HEXvRGB($smof_data['port_intro_h1_col']);
    $opacity = $smof_data['port_intro_h1_opacity']/100;
    echo'
    #portfolio h1 {
       color:   rgba('.$rgba[0].','.$rgba[1].','.$rgba[2].','.$opacity  .');
    }';
endif;
if( $smof_data['port_intro_text_col'] ) :
    $rgba = gg_HEXvRGB($smof_data['port_intro_text_col']);
    $opacity = $smof_data['port_intro_text_opacity']/100;
    echo'
    #portfolio .intro-text  {
       color:   rgba('.$rgba[0].','.$rgba[1].','.$rgba[2].','.$opacity  .');
    }';
endif;
$rgba_icon              = gg_HEXvRGB($smof_data['port_icon_back']);
$rgba_icon_col          = gg_HEXvRGB($smof_data['port_icon_col']);
$rgba_icon_border_col   = gg_HEXvRGB($smof_data['port_icon_bord_col']);?>
#portfolio .part_logo > div{
    background: rgba(<?php echo $rgba_icon[0].','.$rgba_icon[1].','.$rgba_icon[2].','.$smof_data['port_icon_back_opacity']/100;?>);
    color: rgba(<?php echo $rgba_icon_col[0].','.$rgba_icon_col[1].','.$rgba_icon_col[2].','.$smof_data['port_icon_col_opacity']/100;?>);
    border: rgba(<?php echo
        $rgba_icon_border_col[0].','.
        $rgba_icon_border_col[1].','.
        $rgba_icon_border_col[2].','.
        $smof_data['port_icon_bord_col_opacity']/100;?>) solid <?php echo $smof_data['port_icon_bord_width']?>px;
    box-shadow: <?php echo $smof_data['port_icon_bord_col'].' '.'0'.' '.'0'.' '.$smof_data['port_icon_bord_width'].'px'.' '.$smof_data['port_icon_bord_width'].'px'?>;
}

  /****************************************************************************/
 /****************************** PORTFOLIO excerpt ***************************/
/****************************************************************************/
<?php if($smof_data['port_excerpt_color']) : ?>
#portfolio .excerpt div{
    color: <?php echo $smof_data['port_excerpt_color']; ?>;
}<?php endif;

if($smof_data['port_excerpt_title_color']) : ?>
    #portfolio .excerpt .container h1,
    #portfolio .excerpt .container h2,
    #portfolio .excerpt .container h3,
    #portfolio .excerpt .container h4,
    #portfolio .excerpt .container h5,
    #portfolio .excerpt .container h6{
        color: <?php echo $smof_data['port_excerpt_title_color']; ?>;}
<?php
endif;

    if($smof_data['port_excerpt_link_color']) : ?>
        #portfolio .excerpt .container a{
            color: <?php echo $smof_data['port_excerpt_link_color']; ?>;}
<?php
    endif;

        if($smof_data['port_excerpt_link_color']) : ?>
            #portfolio .excerpt .container a:hover{
                color: <?php echo $smof_data['port_excerpt_link_color_hover']; ?>;}
<?php
        endif;
$rgba = gg_HEXvRGB($smof_data['port_filter_col']);
$opacity = $smof_data['port_filter_bg_opacity']/100;
echo '
#filters li a {
    background: rgba('.$rgba[0].','.$rgba[1].','.$rgba[2].','.$opacity .');
    color : '.$smof_data['port_filter_col'].';
}'.
'#trigger_portfolio{
    color : '.$smof_data['port_filter_col'].';
}';

$rgba = gg_HEXvRGB($smof_data['port_filter_bg_hover']);
$opacity = $smof_data['port_filter_bg_opacity_hover']/100;
echo '
#filters li a:hover,
#filters li a.selected{
    background: rgba('.$rgba[0].','.$rgba[1].','.$rgba[2].','.$opacity .');
    color : '.$smof_data['port_filter_col_hover'].';
}'.
'#trigger_portfolio:hover{
    background: rgba('.$rgba[0].','.$rgba[1].','.$rgba[2].','.$opacity .');
    color : '.$smof_data['port_filter_col_hover'].';
}';

// Portfolio Items
$opacity = $smof_data['port_item_opacity']/100;
echo '
.mix {
    opacity : '.$opacity.';
}
';
$opacity = $smof_data['port_item_opacity_hover']/100;
echo '
.mix:hover {
    opacity : '.$opacity.';
    border-color: '.$smof_data['port_item_bord_col'].';
}
';
$rgba = gg_HEXvRGB($smof_data['port_item_zoom_col']);
$opacity = $smof_data['port_item_zoom_opacity']/100;
echo '
.mix:hover .zoom{
    color: rgba(' .$rgba[0].','.$rgba[1].','.$rgba[2].','.$opacity .');
}
';
?>
<?php
$rgba = gg_HEXvRGB($smof_data['port_liteBox_bg']);
$opacity = $smof_data['port_liteBox_bg_opacity']/100;
?>
.fr-overlay-background{
    background: <?php echo 'rgba(' .$rgba[0].','.$rgba[1].','.$rgba[2].','.$opacity .')';?>;
    filter: alpha(opacity=100);
    opacity: 1;
}
  /****************************************************************************/
 /****************************** StepBoxes Section ***************************/
/****************************************************************************/
<?php sectionBG('.step-boxes',$smof_data['stepbox_bg_col'],$smof_data['stepbox_intro_img'],$smof_data['stepbox_bg_opacity']); ?>
<?php

?>
/******** .StepBoxes Section excerpt *******/
<?php if($smof_data['step_boxes_excerpt_color']) : ?>
.step-boxes .excerpt div{
    color: <?php echo $smof_data['step_boxes_excerpt_color']; ?>;
}<?php endif;

if($smof_data['step_boxes_excerpt_title_color']) : ?>
.step-boxes .excerpt .container h1,
.step-boxes .excerpt .container h2,
.step-boxes .excerpt .container h3,
.step-boxes .excerpt .container h4,
.step-boxes .excerpt .container h5,
.step-boxes .excerpt .container h6{
    color: <?php echo $smof_data['step_boxes_excerpt_title_color']; ?>;}
<?php
endif;

    if($smof_data['step_boxes_excerpt_link_color']) : ?>
.step-boxes .excerpt .container a{
    color: <?php echo $smof_data['step_boxes_excerpt_link_color']; ?>;}
<?php
    endif;

        if($smof_data['step_boxes_excerpt_link_color']) : ?>
.step-boxes .excerpt .container a:hover{
    color: <?php echo $smof_data['step_boxes_excerpt_link_color_hover']; ?>;}
<?php
        endif;

?>

  /****************************************************************************/
 /****************************** #Services Section ***************************/
/****************************************************************************/

<?php sectionBG('#services',$smof_data['serv_bg_col'],$smof_data['serv_intro_img'],$smof_data['serv_bg_opacity']); ?>
<?php
if( $smof_data['services_intro_h1_col'] ) :
    $rgba = gg_HEXvRGB($smof_data['services_intro_h1_col']);
    $opacity = $smof_data['services_intro_h1_opacity']/100;
    echo'
    #services h1 {
       color:   rgba('.$rgba[0].','.$rgba[1].','.$rgba[2].','.$opacity  .');
    }';
endif;
if( $smof_data['services_intro_text_col'] ) :
    $rgba = gg_HEXvRGB($smof_data['services_intro_text_col']);
    $opacity = $smof_data['services_intro_text_opacity']/100;
    echo'
    #services .intro-text  {
       color:   rgba('.$rgba[0].','.$rgba[1].','.$rgba[2].','.$opacity  .');
    }';
endif;

if($smof_data['services_icon_switch'] == 1):
$rgba_icon              = gg_HEXvRGB($smof_data['services_icon_back']);
$rgba_icon_col          = gg_HEXvRGB($smof_data['services_icon_col']);
$rgba_icon_border_col   = gg_HEXvRGB($smof_data['services_icon_bord_col']);?>
#services .part_logo > div{
    background: rgba(<?php echo $rgba_icon[0].','.$rgba_icon[1].','.$rgba_icon[2].','.$smof_data['services_icon_back_opacity']/100;?>);
    color: rgba(<?php echo $rgba_icon_col[0].','.$rgba_icon_col[1].','.$rgba_icon_col[2].','.$smof_data['services_icon_col_opacity']/100;?>);
    border: rgba(<?php echo
        $rgba_icon_border_col[0].','.
        $rgba_icon_border_col[1].','.
        $rgba_icon_border_col[2].','.
        $smof_data['services_icon_bord_col_opacity']/100;?>) solid <?php echo $smof_data['services_icon_bord_width']?>px;
    box-shadow: <?php echo $smof_data['services_icon_bord_col'].' '.'0'.' '.'0'.' '.$smof_data['services_icon_bord_width'].'px'.' '.$smof_data['services_icon_bord_width'].'px';?>;
}

.services h3{
    color: <?php echo $smof_data['services_post_title_col'];?>;
}
.services i{
    background: <?php echo $smof_data['services_post_icon_bg'];?>;
    color: <?php echo $smof_data['services_post_icon_col'];?>;
}
.services i:hover{
    background: <?php echo $smof_data['services_post_icon_bg_hover'];?>;
    color: <?php echo $smof_data['services_post_icon_col_hover'];?>;
}
.services .serv_exc p{
    color: <?php echo $smof_data['services_post_text_col'];?>;
}
<?php endif; ?>
/******** #services Section excerpt *******/
<?php if($smof_data['services_excerpt_color']) : ?>
#services .excerpt div{
    color: <?php echo $smof_data['services_excerpt_color']; ?>;
}<?php endif;

if($smof_data['services_excerpt_title_color']) : ?>
#services .excerpt .container h1,
#services .excerpt .container h2,
#services .excerpt .container h3,
#services .excerpt .container h4,
#services .excerpt .container h5,
#services .excerpt .container h6{
    color: <?php echo $smof_data['services_excerpt_title_color']; ?>;}
<?php
endif;

    if($smof_data['services_excerpt_link_color']) : ?>
#services .excerpt .container a{
    color: <?php echo $smof_data['services_excerpt_link_color']; ?>;}
<?php
    endif;

        if($smof_data['services_excerpt_link_color']) : ?>
#services .excerpt .container a:hover{
    color: <?php echo $smof_data['services_excerpt_link_color_hover']; ?>;}
<?php
        endif;

?>

/***** .Post Service Section ******/
<?php sectionBG('.post-service',$smof_data['post_service_bg_col'],'',$smof_data['post_service_bg_opacity']); ?>
<?php

?>
/******** .Post Service Section excerpt *******/
.post-service .info-box{
    color: <?php echo $smof_data['post_service_text_col'];?>;
}
.post-service .btn-success{
    border-color: <?php echo $smof_data['post_service_link_border_col'];?>;
    color: <?php echo $smof_data['post_service_text_col'];?>;
}
.post-service .btn-success:hover{
    border-color: <?php echo $smof_data['post_service_text_col'];?>;
    color: <?php echo $smof_data['post_service_link_border_col'];?>;
}
<?php if($smof_data['post_service_excerpt_color']) : ?>
.post-service .excerpt div{
    color: <?php echo $smof_data['post_service_excerpt_color']; ?>;
}<?php endif;

if($smof_data['post_service_excerpt_title_color']) : ?>
.post-service .excerpt .container h1,
.post-service .excerpt .container h2,
.post-service .excerpt .container h3,
.post-service .excerpt .container h4,
.post-service .excerpt .container h5,
.post-service .excerpt .container h6{
    color: <?php echo $smof_data['post_service_excerpt_title_color']; ?>;}
<?php
endif;

    if($smof_data['post_service_excerpt_link_color']) : ?>
.post-service .excerpt .container a{
    color: <?php echo $smof_data['post_service_excerpt_link_color']; ?>;}
<?php
    endif;

        if($smof_data['post_service_excerpt_link_color']) : ?>
.post-service .excerpt .container a:hover{
    color: <?php echo $smof_data['post_service_excerpt_link_color_hover']; ?>;}
<?php
        endif;

?>

  /****************************************************************************/
 /****************************** Contact Us excerpt **************************/
/****************************************************************************/
<?php sectionBG('#contact_us',$smof_data['contact_bg_col'],$smof_data['contact_intro_img'],$smof_data['contact_bg_opacity']); ?>
<?php

?>
<?php

$rgba = gg_HEXvRGB($smof_data['contact_intro_h1_col']);
$opacity = $smof_data['contact_intro_title_opacity']/100;
echo'
#contact_us h1 {
   color:   rgba('.$rgba[0].','.$rgba[1].','.$rgba[2].','.$opacity  .');
}';
echo'
#contact_us h1 {
   color:  '.$smof_data['contact_intro_title_col'].';
}';
$rgba = gg_HEXvRGB($smof_data['contact_intro_subtitle_col']);
$opacity = $smof_data['contact_intro_subtitle_opacity']/100;
echo'
#contact_us h2 {
   color:   rgba('.$rgba[0].','.$rgba[1].','.$rgba[2].','.$opacity  .');
}';

$rgba = gg_HEXvRGB($smof_data['contact_intro_title_col']);
$opacity = $smof_data['contact_intro_title_opacity']/100;
echo'
#contact_us h3 {
   color:   rgba('.$rgba[0].','.$rgba[1].','.$rgba[2].','.$opacity  .');
}';

$rgba = gg_HEXvRGB($smof_data['contact_intro_subtitle_col']);
$opacity = $smof_data['contact_intro_subtitle_opacity']/100;
echo'
#contact_us h4  {
   color:   rgba('.$rgba[0].','.$rgba[1].','.$rgba[2].','.$opacity  .');
}';

$rgba_icon              = gg_HEXvRGB($smof_data['contact_icon_back']);
$rgba_icon_col          = gg_HEXvRGB($smof_data['contact_icon_col']);
$rgba_icon_border_col   = gg_HEXvRGB($smof_data['contact_icon_bord_col']);?>
#contact_us .part_logo > div{
    background: rgba(<?php echo $rgba_icon[0].','.$rgba_icon[1].','.$rgba_icon[2].','.$smof_data['contact_icon_back_opacity']/100;?>);
    color: rgba(<?php echo $rgba_icon_col[0].','.$rgba_icon_col[1].','.$rgba_icon_col[2].','.$smof_data['contact_icon_col_opacity']/100;?>);
    border: rgba(<?php echo
        $rgba_icon_border_col[0].','.
        $rgba_icon_border_col[1].','.
        $rgba_icon_border_col[2].','.
        $smof_data['contact_icon_bord_col_opacity']/100;?>) solid <?php echo $smof_data['contact_icon_bord_width']?>px;
    box-shadow: <?php echo $smof_data['contact_icon_bord_col'].' '.'0'.' '.'0'.' '.$smof_data['contact_icon_bord_width'].'px'.' '.$smof_data['contact_icon_bord_width'].'px'?>;
}
<?php
$rgba = gg_HEXvRGB($smof_data['contact_input_bg']);
$opacity = $smof_data['contact_input_bg_opacity']/100;
echo '
#contact_us input[type="text"],
#contact_us input[type="password"],
#contact_us input[type="datetime"],
#contact_us input[type="datetime-local"],
#contact_us input[type="date"],
#contact_us input[type="month"],
#contact_us input[type="time"],
#contact_us input[type="week"],
#contact_us input[type="number"],
#contact_us input[type="email"],
#contact_us input[type="url"],
#contact_us input[type="search"],
#contact_us input[type="tel"],
#contact_us input[type="color"],
#contact_us textarea{
    background: rgba('.$rgba[0].','.$rgba[1].','.$rgba[2].','.$opacity .');
    color : '.$smof_data['contact_input_col'].';
    border: '.$smof_data['contact_button_bg_width'].'px solid '.$smof_data['contact_input_border_col'].';
}';
$rgba = gg_HEXvRGB($smof_data['contact_button_bg']);
$opacity = $smof_data['contact_button_bg_opacity']/100;
$rgba_border = gg_HEXvRGB($smof_data['contact_button_border']);
$opacity_border = $smof_data['contact_button_border_opacity']/100;
echo '
#contact_us input[type="submit"].btn.btn-large{
    background: rgba('.$rgba[0].','.$rgba[1].','.$rgba[2].','.$opacity .');
    border-color: rgba('.$rgba_border[0].','.$rgba_border[1].','.$rgba_border[2].','.$opacity_border .');
    color: '.$smof_data['contact_button_text'].';
}';
$rgba = gg_HEXvRGB($smof_data['contact_button_bg_hover']);
$rgba_border = gg_HEXvRGB($smof_data['contact_button_border_hover']);
echo '
#contact_us input[type="submit"].btn.btn-large:hover,
#contact_us input[type="submit"].btn.btn-large:active{
    background: rgba('.$rgba[0].','.$rgba[1].','.$rgba[2].','.$opacity .');
    border-color: rgba('.$rgba_border[0].','.$rgba_border[1].','.$rgba_border[2].','.$opacity_border .');
    color: '.$smof_data['contact_button_text_hover'].';
}';

$rgba = gg_HEXvRGB($smof_data['contact_map_section_bg']);
$opacity = $smof_data['contact_map_section_bg_opacity']/100;
echo'
#contact-bot{
    background: rgba('.$rgba[0].','.$rgba[1].','.$rgba[2].','.$opacity .');
}
#contact-bot .info li{
    color : '.$smof_data['contact_info_col'].';
}
#contact-bot .info li i{
    color : '.$smof_data['contact_info_icon_col'].';
}
#contact-bot .info li a{
    color : '.$smof_data['contact_info_link_col'].';
}
';
?>


  /****************************************************************************/
 /****************************** Contact_us excerpt **************************/
/****************************************************************************/
<?php if($smof_data['contact_excerpt_color']) : ?>
#contact_us .excerpt div{
    color: <?php echo $smof_data['contact_excerpt_color']; ?>;
}<?php endif;

if($smof_data['contact_excerpt_title_color']) : ?>
#contact_us .excerpt .container h1,
#contact_us .excerpt .container h2,
#contact_us .excerpt .container h3,
#contact_us .excerpt .container h4,
#contact_us .excerpt .container h5,
#contact_us .excerpt .container h6{
    color: <?php echo $smof_data['contact_excerpt_title_color']; ?>;}
<?php
endif;

    if($smof_data['contact_excerpt_link_color']) : ?>
#contact_us .excerpt .container a{
    color: <?php echo $smof_data['contact_excerpt_link_color']; ?>;}
<?php
    endif;

        if($smof_data['contact_excerpt_link_color']) : ?>
#contact_us .excerpt .container a:hover{
    color: <?php echo $smof_data['contact_excerpt_link_color_hover']; ?>;}
<?php
        endif;
/*$rgba = gg_HEXvRGB($smof_data['contact_filter_col']);
$opacity = $smof_data['contact_filter_bg_opacity']/100;
echo '
#filters li a {
    background: rgba('.$rgba[0].','.$rgba[1].','.$rgba[2].','.$opacity .');
    color : '.$smof_data['contact_filter_col'].';
}'.
'#trigger_contact_us{
    color : '.$smof_data['contact_filter_col'].';
}';

$rgba = gg_HEXvRGB($smof_data['contact_filter_bg_hover']);
$opacity = $smof_data['contact_filter_bg_opacity_hover']/100;
echo '
#filters li a:hover,
#filters li a.selected{
    background: rgba('.$rgba[0].','.$rgba[1].','.$rgba[2].','.$opacity .');
    color : '.$smof_data['contact_filter_col_hover'].';
}'.
'#trigger_contact_us:hover{
    background: rgba('.$rgba[0].','.$rgba[1].','.$rgba[2].','.$opacity .');
    color : '.$smof_data['contact_filter_col_hover'].';
}';*/

// contact_us Items
/*$opacity = $smof_data['contact_item_opacity']/100;
echo '
.mix {
    opacity : '.$opacity.';
}
';
$opacity = $smof_data['contact_item_opacity_hover']/100;
echo '
.mix:hover {
    opacity : '.$opacity.';
    border-color: '.$smof_data['contact_item_bord_col'].';
}
';
$rgba = gg_HEXvRGB($smof_data['contact_item_zoom_col']);
$opacity = $smof_data['contact_item_zoom_opacity']/100;
echo '
.mix:hover .zoom{
    color: rgba(' .$rgba[0].','.$rgba[1].','.$rgba[2].','.$opacity .');
}
';*/
?>

  /****************************************************************************/
 /******************************** FOOTER Section ****************************/
/****************************************************************************/
<?php
$rgba = gg_HEXvRGB($smof_data['footer_bg']);
$opacity = $smof_data['footer_bg_opacity']/100;
echo'
footer{
    background: rgba('.$rgba[0].','.$rgba[1].','.$rgba[2].','.$opacity .');
    color: '.$smof_data['footer_text_color'].';
}
footer a{
    color: '.$smof_data['footer_links_color'].';
}
footer a:hover{
    color: '.$smof_data['footer_links_color_hover'].';
}
footer .follow a{
    color: '.$smof_data['footer_soc_color'].';
}
footer .follow a:hover{
    color: '.$smof_data['footer_soc_color_hover'].';
}
';
?>


  /****************************************************************************/
 /********************************** BLOG PAGE *******************************/
/****************************************************************************/
.id_blog.blog-color{
    background: <?php echo $smof_data['blog_color']; ?>;
}
<?php
$rgba = gg_HEXvRGB($smof_data['blog_border_color']);
$opacity_border = $smof_data['blog_border_opacity']/100;
echo'
.post-box,
.post-box .left-box,
#sidebar .widget h3,
.pagination ul > li > a, .pagination ul > li > span {
    border-color: rgba('.$rgba[0].','.$rgba[1].','.$rgba[2].','.$opacity_border .');
}
.post-box .comments a,.comment-body{
    background: rgba('.$rgba[0].','.$rgba[1].','.$rgba[2].','.$opacity_border .');
}
#sidebar .widget.widget_recent_entries li:before,
#sidebar .widget.widget_archive li:before,
#sidebar .widget.widget_categories li:before,
#sidebar .widget.widget_meta li:before,
#sidebar .widget.widget_pages li:before,
#sidebar .widget.widget_nav_menu li:before{
    color: rgba('.$rgba[0].','.$rgba[1].','.$rgba[2].','.$opacity_border .');
}
.comment-body:before {
    border-color: transparent transparent rgba('.$rgba[0].','.$rgba[1].','.$rgba[2].','.$opacity_border .') transparent;
}
';
?>

.blog-head h3,
#sidebar .widget h3{
    color: <?php echo $smof_data['blog_titles_color']; ?>;
}

.post_info h2.blog_title a,
#sidebar .widget ul li a,
.rsswidget,.comment-meta a,.logged-in-as a{
    color: <?php echo $smof_data['blog_post_titles_color']; ?>;
}
.post_info .blog_title h2 a:hover,
#sidebar .widget ul li a:hover,
.rsswidget:hover,.comment-meta a:hover,.logged-in-as a:hover{
    color: <?php echo $smof_data['blog_post_titles_color_hover']; ?>;
}
.blog_search form input,
.blog_search #searchform:before{
    color:<?php echo $smof_data['blog_search_color']?>;
}
.post-box,.rssSummary,.widget_text,.comment-body{
    color:<?php echo $smof_data['blog_content_color'];?>
}

<?php $rgba = gg_HEXvRGB($smof_data['stickybox_bg']);?>
.comment_info cite a, .comment-body .reply a,#sidebar .widget ul li.recentcomments a.url, .tagcloud a,input[type="submit"], button, .btn{
    background: rgba(<?php echo $rgba[0].','.$rgba[1].','.$rgba[2].','.$smof_data['stickybox_bg_opacity']/100;?>);
    color: <?php echo $smof_data['stickybox_col'] ?>;
}

.pagination ul > li > a, .pagination ul > li > span{
    color: <?php echo $smof_data['blog_post_titles_color']; ?>;
}